#
# spec file for package xaos (Version 3.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xaos
BuildRequires:  aalib-devel libpng-devel update-desktop-files xorg-x11 xorg-x11-devel gsl-devel fdupes dos2unix
License:        GPL v2 or later
Group:          Amusements/Toys/Graphics
Provides:       XaoS 
AutoReqProv:    on
Version:        3.5
Release:        0.pm.1.2
Summary:        Powerful fractal generator
Url:            http://xaos.sourceforge.net
Source:         %{name}-%{version}.tar.bz2
Source1:        %name.desktop
Source2:        %{name}.sh
Source3:        %name.png
Patch0:         %{name}-%{version}-strip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %install_info_prereq

%description
XaoS is a fast portable real-time interactive fractal zoomer. It
displays the Mandelbrot set (among other escape time fractals) and
allows you to zoom smoothly into the fractal.  Various coloring modes
are provided for both the points inside and outside the selected set.
In addition, switching between Julia and Mandelbrot fractal types and
displaying planes is provided.



Authors:
--------
    Jan Hubicka <hubicka@paru.cas.cz>
    Thomas Marsh <tmarsh@austin.ibm.com>



%prep
%setup -q 
%patch0

# convert all xpf-files to UNIX format
find examples/ -iname "*.xpf" -exec dos2unix {} \;

%build
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --datadir=%{_defaultdocdir}/xaos \
                --with-svga-driver=no \
                --mandir=%{_mandir} \
                --infodir=%{_infodir}
make

%install
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/xaos $RPM_BUILD_ROOT/usr/bin/xaos.bin
install -m 755 %{S:2} $RPM_BUILD_ROOT/usr/bin/xaos
chmod 755 $RPM_BUILD_ROOT/usr/bin/xaos
chmod 755 $RPM_BUILD_ROOT/usr/bin/xaos.bin
DOCDIR=$RPM_BUILD_ROOT%{_defaultdocdir}/xaos
cp COPYING ChangeLog README NEWS TODO $DOCDIR
%suse_update_desktop_file -i %name Edutainment Math
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/pixmaps

%find_lang %{name}

%fdupes "$RPM_BUILD_ROOT"

%clean
rm -rf "$RPM_BUILD_ROOT"

%files -f %{name}.lang
%defattr(-,root,root)
%{_defaultdocdir}/xaos
/usr/bin/xaos
/usr/bin/xaos.bin
%doc %{_infodir}/xaos.info.gz
%doc %{_mandir}/man6/xaos.6.gz
/usr/share/applications/%name.desktop
/usr/share/pixmaps/%name.png

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
* Thu Jul 21 2009 AxelKoellhofer@web.de
- updated to 3.5
- obsolete patch removed
* Thu Jun 04 2009 AxelKoellhofer@web.de
- updated to 3.4
- spec cleanup 
- obsolete patches removed
- convert all xpf-files to UNIX format
- added fdupes and dos2unix to BuildRequires 
* Tue Feb 26 2008 crrodriguez@suse.de
- use find_lang macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 21 2006 schwab@suse.de
- Fix last change.
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
- Fix missing declarations.
* Mon Aug 22 2005 nadvornik@suse.cz
- added icon [#106118]
* Thu Apr 14 2005 nadvornik@suse.cz
- fixed to compile with gcc4
* Fri Apr  1 2005 nadvornik@suse.cz
- removed unused header file with problematic license [75433]
* Tue Mar 30 2004 nadvornik@suse.cz
- added wrapper script to run it with ISO-8859-X locales as it does not
  work with UTF-8
* Fri Feb 27 2004 ro@suse.de
- fix build with regparm changes
* Tue Feb 17 2004 nadvornik@suse.cz
- added desktop file
- built as user
* Tue Jul 29 2003 nadvornik@suse.cz
- updated to 3.1
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Feb 11 2003 nadvornik@suse.cz
- added install_info macros
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 12 2001 ro@suse.de
- no svgalib
* Fri May 18 2001 nadvornik@suse.cz
- fixed cast warnings and include files for ia64
* Mon Dec 11 2000 ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct  9 2000 nadvornik@suse.cz
- removed suid bit, used %%doc for man and info, used RPM_OPT_FLAGS
* Mon Oct  9 2000 nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Mon Sep  4 2000 schwab@suse.de
- Add %%suse_update_config.
* Thu May 18 2000 nadvornik@suse.cz
- used %%{_defaultdocdir}
- fixed filelist
- changed Group tag
* Tue Apr 11 2000 nadvornik@suse.cz
- added URL
* Thu Mar 23 2000 nadvornik@suse.cz
- added BuildRoot
- added source url
* Tue Feb  1 2000 ro@suse.de
- man,info to usr/share
* Tue Feb  1 2000 fehr@suse.de
- change for new gcc 2.95.2
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 uli@suse.de
- disabled svgalib driver for PPC
* Wed Mar 17 1999 uli@suse.de
- update 2.2 -> 3.0
- enabled svgalib/aalib drivers
* Tue Oct  7 1997 fehr@suse.de
- now works with (a)build
* Wed May 14 1997 fehr@suse.de
- added version 2.2 to distribution
